@import url('https://fonts.googleapis.com/css2?family=Graduate&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Hammersmith+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&display=swap');
*,
html,
body {
  margin: 0;
  padding: 0;
}

body {
  background-color: #efeded;
  overflow-x: hidden;
}

.Container {
  display: block;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  /* border: 1px solid black; */
}
.bungkusan {
  display: flex;
  /* border: 1px solid black; */
  padding-top: 65px;
}

.wrapper {
  position: fixed;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 10%;
  background-color: white;
  border: 1px solid lightgray;
  z-index: 5;
}
.brand {
  display: flex;
  flex-direction: row;
  padding-left: 5px;
  width: 30%;
}

.brand img {
  height: 45px;
  padding: 5px;
  padding-right: 0px;
}
.brand-nav {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  letter-spacing: 3px;
  font-family: 'Graduate', cursive;
  transition: all 0.1s ease;
}
.h1 {
  display: block;
  width: 70%;
  text-align: right;
  margin-right: 10px;
  justify-content: center;
  align-items: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 16px;
}

/* Font styling */
.h1 h1 {
  font-weight: 490;
}
.vt-h2 {
  font-family: 'Inter', sans-serif;
  letter-spacing: 3px;
}
.brand-t {
  font-family: 'Graduate', cursive;
  letter-spacing: 3px;
}
.m-t {
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
}
.a-t {
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
}
.m-t-ttl {
  font-family: 'Open Sans', sans-serif;
}
.a-t-ttl {
  font-family: 'Open Sans', sans-serif;
}



/*Hamburger Menu*/

.menu {
  transform: translateX(0);
  transition: all 1s ease;
  background-color: white;
  width: 400px;
  margin-left: 10px;
  padding-left: 15px;
  transform: translateX(-10px);
  z-index: 1;
}
.menu-toggle {
  display: flex;
  flex-direction: column;
  height: 25px;
  justify-content: space-between;
  position: relative;
  margin-top: 15px;
  margin-right: 15px;
  transition: all 1s ease;
}

.menu-toggle input {
  display: block;
  position: absolute;
  width: 48px;
  height: 30px;
  left: -5px;
  top: -5px;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}

.menu-toggle span {
  display: block;
  width: 30px;
  height: 5px;
  background-color: black;
  border-radius: 3px;
  transition: all 0s;
  z-index: 2;
}

.navbar {
  display: block;
  justify-content: center;
  align-items: center;
  width: 16%;
  height: 150vh;
  background-color: white;
  border-right: 1px solid lightgray;
  transition: width 1s;
  transform: translateX(0deg);
}

.navbar .monitor {
  width: 100%;
  height: 65px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans", Arial, sans-serif;
  font-size: 20px;
}
.eh {
  display: flex;
}

.navbar .navigation {
  width: 100%;
  /* border: 1px solid black; */
  justify-content: center;
  align-content: center;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

#icon1 {
  transform: translateX(0);
  transition: all 1s ease;
}
#icon2 {
  transform: translateX(0);
  transition: all 1s ease;
}
#icon3 {
  transform: translateX(0);
  transition: all 1s ease;
}

#dasboard a {
  display: flex;
  width: 100%;
  height: 50px;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  list-style-type: none;
  color: black;
}
.navbar .navigation #Apik a {
  display: flex;
  width: 100%;
  height: 50px;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  list-style-type: none;
  color: black;
}
.navbar .navigation #Apik .dropdown {
  display: block;
}

.navbar .navigation li {
  display: block;
  list-style: none;
  padding-left: 5px;
}

.navbar .navigation li a {
  display: block;
  text-decoration: none;
  width: 100%;
  height: 30px;
  padding: 7px;
  /* padding-left: 5px; */
  padding-top: 10px;
}

.navbar .navigation li a:hover {
  display: block;
  color: #6fa0ad;
  background-color: #efeded;
  border-left: 2px solid lightslategray;
}

.navbar .navigation li .dropdown1 {
  display: none;
}
.navbar .navigation li .dropdown2 {
  display: none;
}

.navbar .navigation li .dropdown1.dropdown {
  display: block;
}
.navbar .navigation li .dropdown2.dropdewn {
  display: block;
}

.navbar .navigation li .dropdown1 li a span {
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

.navbar .navigation li a span.balik {
  transform: translateY(0%) rotate(-180deg);
}
.navbar .navigation li .dropdown2 {
  display: none;
}
.navbar .navigation li .dropdown2 li a span {
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

.navbar .navigation li a span.balek {
  transform: translateY(0%) rotate(-180deg);
}

h4 {
  transition: all 3s ease-in-out;
}

/* Responsive */

.brand-nav.slide {
  opacity: 0;
  transition: all 0.1s ease;
}

.navbar .navigation li .dropdown1-1 {
  display: none;
}
.navbar .navigation li .dropdown2-2 {
  display: none;
}

.navbar .navigation li .dropdown1-1.slide {
  display: none;
}
.navbar .navigation li .dropdown2-2.slide {
  display: none;
}

.navbar.slide {
  width: 5%;
  transition: all 1s ease;
}
.menu.slide {
  transform: translateX(-175px);
}
.monitor.slide {
  display: none;
}
.text3.slide {
  display: none;
}

span.slide {
  display: none;
}
.navbar .navigation li .dropdown1 .text-dp.slide {
  display: block;
}

.text-dp.dp1 {
  display: none;
}
.text-dp.dp2 {
  display: none;
}
h4.slide {
  display: none;
  /* transition: 3s ease-in; */
}
.navbar .navigation li .dropdown1-1.ngedrop {
  display: block;
}
.text-dp {
  color: rgb(54, 62, 121);
}

/* responsive voltage,arus,daya nyata, daya semu, daya reaktif */
.grafik.ngodot {
  width: 1200px;
  transition: width 1s;
}

.teganganV.ngodot {
  width: 500px;
  transition: width 1s;
}
.contentbar .titlebar1.ngodot {
  width: 500px;
  transition: width 1s;
}
.contentbar .titlebar2.ngodot {
  width: 500px;
  transition: width 1s;
}

/* end */

/* ------------------------------------------------------------- */

/* active navbar */
#active {
  background-color: #efeded;
  border-left: 2px solid lightslategray;
}

/* AWAL CONTENT */
.content {
  margin-left: 150px;
  height: 100vh;
  /* border: 1px solid black; */
}

.header-content {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
}
.calendar {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
  width: 300px;
  height: 80px;
  padding-left: 35px;
  /* border: 1px solid black; */
}

.calendar .date1 {
  width: 200px;
  height: 30px;
  background-color: transparent;
  border-radius: 5px;
}
.calendar .submitBtn {
  width: 80px;
  height: 35px;
  background-color: #ff5c5c;
  border-radius: 5px;
  border: none;
}
.calendar .submitBtn:hover {
  background-color: black;
  color: white;
}

.in {
  display: flex;
}

.sapa {
  display: flex;
  width: 380px;
  height: 75px;
  justify-content: center;
  align-items: center;
  /* border: 1px solid black; */
}

.sapa .welcome {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 500;
  font-size: 23px;
}

.body-content {
  position: relative;
  display: block;
  /* flex-direction: column; */
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  /* border: 1px solid black; */
}

.microA {
  display: flex;
  padding-top: 20px;
  width: 100%;
  height: auto;
  justify-content: space-around;
  /* align-items: center; */
  /* border: 1px solid black; */
  /* margin: 20px; */
  
}
.teganganV {
  border: 1px solid lightgray;
  border-radius: 10px;
  background-color: white;
  width: 400px;
  height: 180px;
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}
.scrool {
  border: 1px solid lightgray;
  background-color: white;
  border-radius: 10px;
  width: 620px;
  height: 250px;
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}
.tgl {
  width: 45px;
  height: 20px;
  background-color: #ff5c5c;
  transform: translateX(30px);
  transform: translateY(0px);
  justify-content: center;
  padding: 10px;
  text-align: center;
  border-radius: 10px;
}
/* ---------------------------------------------------------------------- */

/* AWALAN CARD */
.contentbar {
  z-index: 3;
  position: absolute;
  display: block;
  justify-content: center;
  align-items: center;
  height: 140px;
  width: 400px;
  /* border: 1px solid black; */
}
.titlebar1 {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 400px;
  height: 70px;
  /* border: 1px solid black; */
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 25px;
  font-weight: 450;
  background-color: #ff5c5c;
  border-bottom: 1px solid #c94b4b;
  opacity: 0.8;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}
.ico {
  position: absolute;
  left: 0;
}
.brans-t {
  transform: translateX(-30px);
}
.titlebar2 {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  font-weight: 550;
  background-color: #efefef;
  opacity: 0.7;
  width: 398px;
  height: 108px;
  border: 0.5px solid #c94b4b;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}
.inpo-higher {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 100%;
  /* border: 1px solid black; */
  text-align: center;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 15px;
  /* background-color: #ff5c5c; */
  border-right: 0.5px solid #c94b4b;
  /* border-radius: 10px; */
  border-bottom-left-radius: 10px;
}
.inpo-average {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 100%;
  /* border: 1px solid black; */
  text-align: center;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 15px;
  /* background-color: #ff5c5c; */
  border-left: 0.5px solid #c94b4b;
  /* border-radius: 10px; */
  border-bottom-right-radius: 10px;
}

/* AKHIRAN CARD */

/* --------------------------------------------------------------- */

/* AWAL SCROLLBAR */

.scrollbar {
  z-index: 3;
  position: absolute;
  max-height: 200px;
  max-width: 580px;
  /* border: 1px solid black; */
  display: flex;
  overflow-y: hidden;
  overflow-x: auto;
  transform: translateX(20px) translateY(-10px);
  /* border-radius: 10px; */
}
.scrollbar .item {
  min-width: 130px;
  height: 170px;
  line-height: 110px;
  text-align: center;
  /* border: 1px solid lightgray; */
}
.item {
  display: block;
}
.item-content {
  /* border: 1px solid black; */
  height: 50px;
}
.item-content span {
  padding-top: 15px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.item-content i {
  top: -50%;
}
.in {
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: 60px;
  /* border: 1px solid black; */
}

.in_inpo {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 70px;
  height: 40px;
  background-color: #ff5c5c;
  border-top-left-radius: 10px;
  border-bottom-right-radius: 5px;
}

.text_ttl {
  display: block;
  padding-right: 15px;
}
.ttl_1 {
  display: flex;
  justify-content: right;
  font-size: 25px;
}
.ttl_2 {
  display: flex;
  font-size: 16px;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 400;
}

/* AKHIR SCROLLBAR*/

.grafikP {
  display: flex;
  /* border: 1px solid black; */
  margin: 20px;
}
.grafik {
  text-align: center;
  justify-content: center;
  align-items: center;
  width: 1090px;
  max-height: 120%;
  margin-left: 20px;
  margin-right: 20px;
  background-color: white;
  border-radius: 15px;
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}

.chartgrap {
  border: 1px solid lightgray;
  border-radius: 15px;
}
/* AKHIR CONTENT */

/* ------------------RESPONSIVE -------------------- */
@media screen and (min-width: 1480px) {
  .navbar .monitor {
    padding-top: 40px;
  }
  .content {
    padding-top: 40px;
  }
}
/* RESPONSIVE DEKSTOP MONITOR LAPTOP */
@media screen and (max-width: 1280px) {
  .navbar .monitor {
    padding-top: 0;
  }
}
@media screen and (max-width: 768px) {
  .Container {
    overflow-x: hidden;
  }
  .body-content {
    margin-top: 10%;
  }
  .menu {
    transform: translateX(-120px);
    position: relative;
  }
  .brand-nav.slide {
    opacity: 1;
  }
  .menu.slide {
    transform: translateX(-120px);
  }
  .logo {
    display: none;
  }
  .content {
    z-index: 1;
    padding-top: 10%;
    height: 100%;
    padding-bottom: 3%;
    /* border: 1px solid black; */
  }
  .header-content {
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px solid black; */
    width: 100%;
  }
  /* .body-content {
    display: block;
  } */

  .calendar {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    width: 90%;
    height: 80px;
    padding-left: 0;
    /* border: 1px solid black; */
  }

  .calendar .date1 {
    background-color: transparent;
    border-radius: 5px;
  }
  .date1 {
    width: 70%;
    height: 30px;
  }

  .microA {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 0;
  }
  .teganganV {
    margin-top: 20px;
    margin-bottom: 50px;
  }
  .scrool {
    margin-bottom: 50px;
    border: 1px solid lightgray;
    background-color: white;
    border-radius: 10px;
    width: 90%;
    height: 220px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    /* border: 1px solid black; */
  }
  .ttl_1 {
    display: flex;
    justify-content: right;
    font-size: 20px;
  }
  .ttl_2 {
    display: flex;
    font-size: 14px;
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 300;
  }
  .wrapper {
    height: 10%;
    position: fixed;
    z-index: 7;
  }
  .navbar {
    position: fixed;
    z-index: 5;
    width: 250px;
    transform: translateX(-250px);
    transition: all 0.3s ease-in;
    /* margin-top: 75px; */
  }
  .brand-nav {
    transform: translateX(140px);
  }
  .navbar.slide {
    width: 250px;
    transform: translateX(0px);
    transition: all 0.3s ease-out;
    box-shadow: 5px 0 50px rgba(0, 0, 0, 0.2);
  }
  .navbar .monitor {
    height: 80px;
  }
  .monitor h4 {
    display: flex;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .text3.slide {
    display: flex;
  }
  .h1 h2 {
    display: none;
  }
  #sp1 {
    margin-top: 5px;
    margin-left: 10px;
  }
  #sp2 {
    margin-top: 5px;
    margin-left: 10px;
  }
  /* #sp1.drop {
  }
  #sp2.drop {
  } */
  .navbar .navigation li a {
    width: 94%;
    display: flex;
    align-items: center;
    /* border: 1px solid black; */
  }
  .navbar .navigation li a:focus {
    display: flex;
    flex-direction: row;
  }
  .navbar .navigation li a:hover {
    display: flex;
  }
  .text-dp.dp1 {
    display: flex;
  }
  .text-dp.dp2 {
    display: flex;
  }

  /* ----------------------------- */
  .teganganV {
    border: 1px solid lightgray;
    border-radius: 10px;
    background-color: white;
    /* padding: 5%; */
    width: 90%;
    height: 150px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
  }
  .contentbar {
    z-index: 5;
    position: absolute;
    display: block;
    justify-content: center;
    align-items: center;
    height: 150px;
    width: 90%;
    /* border: 1px solid black; */
  }
  .scrollbar {
    z-index: 5;
    position: absolute;
    max-height: 160px;
    max-width: 80%;
    /* border: 1px solid black; */
    display: flex;
    overflow-y: hidden;
    overflow-x: auto;
    transform: translateX(20px) translateY(-10px);
    /* border-radius: 10px; */
  }
  .scrollbar .item {
    min-width: 130px;
    height: 220px;
    line-height: 110px;
    text-align: center;
    /* border: 1px solid lightgray; */
  }
  .item {
    display: block;
  }
  .item-content {
    /* border: 1px solid black; */
    height: 50px;
  }
  .item-content span {
    padding-top: 15px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }
  .item-content i {
    top: -50%;
  }

  /* ................................ */
  .grafik.ngodot {
    width: 1200px;
    transition: width 1s;
  }

  .teganganV.ngodot {
    width: 90%;
    transition: width 1s;
  }
  .contentbar .titlebar1.ngodot {
    width: 100%;
    transition: width 1s;
  }
  .contentbar .titlebar2.ngodot {
    width: 100%;
    transition: width 1s;
  }

  /* .................................. */

  .titlebar1 {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50px;
    /* border: 1px solid black; */
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    font-size: 25px;
    font-weight: 450;
    background-color: #ff5c5c;
    border-bottom: 1px solid #c94b4b;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
  }
  .ico {
    position: absolute;
    transform: translateX(0);
    left: 0;
    
  }
  .titlebar2 {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    font-weight: 550;
    background-color: #efefef;
    opacity: 0.7;
    width: 100%;
    height: 100px;
    border: 0.5px solid #c94b4b;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
  }
  /* ------------------- */
  .grafikP {
    display: flex;
    /* border: 1px solid black; */
    margin: 20px;
  }
  .grafik {
    text-align: center;
    justify-content: center;
    align-items: center;
    width: 1090px;
    max-height: 120%;
    margin-left: 20px;
    margin-right: 20px;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
  }

  .chartgrap {
    border: 1px solid lightgray;
    border-radius: 15px;
  }
  .overlay {
    display: none;
  }
  .overlay.muncul {
    display: flex;
    width: 100%;
    height: 1000px;
    background-color: rgba(0, 0, 0, 0.435);
    z-index: 2;
    position: absolute;
    transform: translateY(-1000px);
    transition: all 1s ease-in-out;
  }
  .overlay.ilang {
    display: none;
  }
  .navbar.slide.sliders {
    width: 250px;
    transform: translateX(-250px);
    transition: all 0.3s ease-out;
  }
}
@media screen and (max-width: 768px) and (max-height: 800px) {
  .navbar {
    /* margin-top: 65px; */
  }
}
@media screen and (max-height: 768px) and (max-height: 600px) {
  .navbar {
    /* margin-top: 55px; */
  }
}
/* footer */
.footer {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 38px;
  border: 1px solid lightgray;
  background-color: white;
  justify-content: center;
  align-content: center;
}
.footerbrand {
  display: flex;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  font-size: 20px;
}
